DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# RegistryArrayNew

Allocate a registry array

## SYNOPSIS

`#include "dip_registry.h"`

dip_Error dip_RegistryArrayNew ( array, size, resources )

## FUNCTION

This function allocates an array of `dip_Registry` structures.

## ARGUMENTS

Data type | Name | Description
`dip_RegistryArray *` | `array` | Pointer to the allocated array
`dip_int` | `size` | Array size
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`Register`, `RegistryList`, `RegistryGet`

DIPlib on-line documentation | Function reference | Global function index